
From: Per Christian Henden <perchrh@pvv.org>

sound/built-in.o(.init.text+0xb68): In function `dmasound_awacs_init':
: undefined reference to `pmac_xpram_read'

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/sound/oss/dmasound/dmasound_awacs.c |    9 ++++++---
 1 files changed, 6 insertions(+), 3 deletions(-)

diff -puN sound/oss/dmasound/dmasound_awacs.c~ppc32-dmasound-compilation-fix sound/oss/dmasound/dmasound_awacs.c
--- 25/sound/oss/dmasound/dmasound_awacs.c~ppc32-dmasound-compilation-fix	2005-03-23 01:02:04.000000000 -0800
+++ 25-akpm/sound/oss/dmasound/dmasound_awacs.c	2005-03-23 01:02:04.000000000 -0800
@@ -2987,10 +2987,13 @@ printk("dmasound_pmac: Awacs/Screamer Co
 
 	set_hw_byteswap(io) ; /* figure out if the h/w can do it */
 
-	/* get default volume from nvram
-	 * vol = (~nvram_read_byte(0x1308) & 7) << 1;
-	*/
+#ifdef CONFIG_NVRAM
+	/* get default volume from nvram */
 	vol = ((pmac_xpram_read( 8 ) & 7 ) << 1 );
+#else
+	vol = 0;
+#endif
+
 	/* set up tracking values */
 	spk_vol = vol * 100 ;
 	spk_vol /= 7 ; /* get set value to a percentage */
_
